commit 1540e95f2c4bb49b1ce31d840ca29bec56d08167
Author: Alex Coplan <alex.coplan@arm.com>
Date:   Thu Sep 24 10:22:58 2020 +0100

    aarch64: Add support for Neoverse V1 CPU
    
    This patch backports the AArch64 support for Arm's Neoverse V1 CPU to
    GCC 8.
    
    gcc/ChangeLog:
    
            * config/aarch64/aarch64-cores.def: Add Neoverse V1.
            * config/aarch64/aarch64-tune.md: Regenerate.
            * doc/invoke.texi: Document support for Neoverse V1.

diff --git a/gcc/config/aarch64/aarch64-cores.def b/gcc/config/aarch64/aarch64-cores.def
index eb01390c262..35ce68ad077 100644
--- a/gcc/config/aarch64/aarch64-cores.def
+++ b/gcc/config/aarch64/aarch64-cores.def
@@ -98,6 +98,7 @@ AARCH64_CORE("saphira",     saphira,    falkor,    8_3A,  AARCH64_FL_FOR_ARCH8_3
 
 /* ARM ('A') cores. */
 AARCH64_CORE("zeus", zeus, cortexa57, 8_4A,  AARCH64_FL_FOR_ARCH8_4 | AARCH64_FL_F16 | AARCH64_FL_RCPC | AARCH64_FL_SVE, cortexa72, 0x41, 0xd40, -1)
+AARCH64_CORE("neoverse-v1", neoversev1, cortexa57, 8_4A,  AARCH64_FL_FOR_ARCH8_4 | AARCH64_FL_F16 | AARCH64_FL_RCPC | AARCH64_FL_SVE, cortexa72, 0x41, 0xd40, -1)
 
 /* ARMv8-A big.LITTLE implementations.  */
 
